Subject: bug#36808: closed (Re: bug#36808: Unable to find GNU libunistring when building Guile 2.2.6)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 13 Jul 2024 01:13:02 +0000

Your bug report

#36808: Unable to find GNU libunistring when building Guile 2.2.6

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36808: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=36808
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36808: Unable to find GNU libunistring when building Guile 2.2.6
From: Rob Browning <[email-masked]>
To: [email-masked]
Cc: DongChan LEE <[email-masked]>
Date: Fri, 12 Jul 2024 20:12:28 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm closing this, suspecting that the issue has been resolved in newer
versions of Guile or the platform, or...  But please feel free to
re-open it if that's mistaken.

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4

Subject: Unable to find GNU libunistring when building Guile 2.2.6
From: DongChan LEE <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 25 Jul 2019 15:21:18 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I have a problem to configure a Guile 2.2.6 on my environment.

(I downloaded full source code through https://ftp.gnu.org/gnu/guile/)

And I extracted the compressed file into this path and configured with below parameters.

- /user/dc.lee/GUILE

-./configure --prefix=/user/dc.lee/GUILE \
LDFLAGS="-L/user/dc.lee/LIB/LIBTOOL/lib -L/user/dc.lee/LIB/UNISTRING/lib" \
--with-libunistring-prefix=/user/dc.lee/LIB/UNISTRING

I work using RHEL-7 (Redhat Enterprise Linux) workstation on private network (Intranet)

So I always use GNU Software via Source code downloading and compiling.

Guile 2.2.6 is also required libltdl (Libtool) and it passed with setting LDFLAGS.

But, Guile cannot find GNU Unistring library installed on specific path.(/user/dc.lee/LIB/UNISTRING)

My GNU Unistring library version is v0.9.10, And it is already passed self-test by 'make check'.

Please check my problem.

Thanks and regards.

=======================================================

Controller Dev., Solution Product & Development, Memory Business
DongChan LEE, Engineer / +82-10-2873-2820 / [email-masked]

=======================================================